Package org.apache.lucene.queryparser.surround.query

# Class SpanNearClauseFactory

java.lang.Object
org.apache.lucene.queryparser.surround.query.SpanNearClauseFactory

public class SpanNearClauseFactory extends Object
Factory for `SpanOrQuery`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpanNearClauseFactory(IndexReader reader, String fieldName, BasicQueryFactory qf)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addSpanQuery(Query q)`
  `protected void`
  `addSpanQueryWeighted(SpanQuery sq, float weight)`
  `void`
  `addTermWeighted(Term t, float weight)`
  `void`
  `clear()`
  `BasicQueryFactory`
  `getBasicQueryFactory()`
  `String`
  `getFieldName()`
  `IndexReader`
  `getIndexReader()`
  `SpanQuery`
  `makeSpanClause()`
  `int`
  `size()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpanNearClauseFactory

    public SpanNearClauseFactory(IndexReader reader, String fieldName, BasicQueryFactory qf)

- ## Method Details

  - ### getIndexReader

    public IndexReader getIndexReader()

  - ### getFieldName

    public String getFieldName()

  - ### getBasicQueryFactory

    public BasicQueryFactory getBasicQueryFactory()

  - ### size

    public int size()

  - ### clear

    public void clear()

  - ### addSpanQueryWeighted

    protected void addSpanQueryWeighted(SpanQuery sq, float weight)

  - ### addTermWeighted

    public void addTermWeighted(Term t, float weight) throws IOException
    Throws:
      `IOException`

  - ### addSpanQuery

    public void addSpanQuery(Query q)

  - ### makeSpanClause

    public SpanQuery makeSpanClause()